declare module BA.Ui.Calendar {
    class CalendarTools {
        private static GetDataSourcesAsArray;
        private static GetDataSourcesAsString;
        private static GetGridGuid;
        private static GetSelectedRowCount;
        private static GetSelectedKeysOnPage;
        private static GetBAProperties;
        private static CanCreateNew;
        private static IsFilterConfigured;
        private static IsFilterActive;
        private static InitFilterIcon;
        private static UpdateFilterIconState;
        private static FixDateFormat;
        private static ScrollToFirstAppt;
        private static UpdateVisibleTimeScale;
        private static UpdateEnabledTimeScale;
        private static HandleDragDropAndResize;
        private static HandleStatusOrLabelChanges;
        private static HandleDelete;
        private static OpenRecordClientAction;
        private static IsAnySelectedRecurring;
        private static AdjustHeight;
        private static CreateAppointment;
        /**
         * Adds methods and properties to the given scheduler object.
         *
         * @param scheduler the scheduler to initialize
         */
        static InitializeCalendarView(scheduler: BAClientScheduler): void;
        static OpenAppointment(formGuid: string, appointmentId: string, openBehavior: string): void;
        static CloneAppointment(appointmentId: string, index: string, formGuid: string, configuration: string, allday: boolean, start: Date, end: Date, resourceValue: string, openBehavior: string): void;
        static GetAppointmentInterval(interval: ASPxClientTimeInterval, activeViewType: string, allDay: boolean): ASPxClientTimeInterval;
        static OpenFilterDialog(schedulerName: string): void;
        static RemoveFilterInDialog(button: BA.Ui.Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
        private static AjaxRequestForDelete;
        private static GetTimeScaleGuidFromString;
    }
}
