declare module BA.Ui.Models {
    class SearchConfigModel {
        ConfigTitle: string;
        ConfigId: BA.Classes.Guid;
        SearchTerm: string;
        Count: string;
        LngCount: number;
        IsSelected: boolean;
        InfoLineText: string;
        OrmType: BA.Classes.Guid;
    }
    class SearchHitModel {
        Oid: BA.Classes.Guid;
        FormOid: BA.Classes.Guid;
        OrmType: BA.Classes.Guid;
        OpenInDialog: boolean;
        Image: string;
        ImageName: string;
        DisplayLines: string[];
    }
    class SearchResultModel {
        SearchConfigs: SearchConfigModel[];
        SearchHits: SearchHitModel[];
    }
}
