declare module BA.Ui.Widgets {
    /**Class for RecentlyUsed Widget*/
    class RecentlyUsedWidget {
        /**
         * *Initialize Recently Used Widget
         * @param widget Recently Used Widget.
         */
        static Init(widget: JQuery): void;
        /**
         * Open item from View
         * @param s
         * @param e
         */
        static OpenItemFromView(s: ASPxClientControlBase, e: any): void;
        /**
      * Open Recently Used item
      * @param formId Id of the form
      * @param oid OID of item
      * @param openInDialog Open form in Dialog?
      * @param fromView Open from View?
      */
        static OpenItem(formId: string, oid: string, openInDialog: string, fromView?: boolean): void;
        /**
         * Show or hide Show More button in Recently Used Widget on Resize
         * @param widget The Recently Used Widget
         */
        private static ShowHideShowMore;
    }
}
